Template Numerical Library: TNL::Meshes::Writers::PVTIWriter< Grid > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TNL::Meshes::Writers::PVTIWriter< Grid > Class Template Reference
Collaboration diagram for TNL::Meshes::Writers::PVTIWriter< Grid >:
[legend]

## Public Member Functions
| PVTIWriter (std::ostream &str, VTK::FileFormat format=VTK::FileFormat::zlib_compressed)
std::string | addPiece (const std::string &mainFileName, const DistributedMeshes::DistributedMesh< Grid > &distributedMesh)
std::string | addPiece (const std::string &mainFileName, unsigned subdomainIndex, const typename Grid::CoordinatesType &globalBegin, const typename Grid::CoordinatesType &globalEnd)
template<int EntityDimension = Grid::getMeshDimension()>
void | writeEntities (const DistributedMeshes::DistributedMesh< Grid > &distributedMesh)
template<int EntityDimension = Grid::getMeshDimension()>
void | writeEntities (const Grid &grid, unsigned GhostLevel=0, unsigned MinCommonVertices=0)
void | writeImageData (const DistributedMeshes::DistributedMesh< Grid > &distributedGrid)
void | writeImageData (const Grid &globalGrid, unsigned GhostLevel=0, unsigned MinCommonVertices=0)
void | writeMetadata (std::int32_t cycle=-1, double time=-1)
template<typename ValueType>
void | writePCellData (const std::string &name, int numberOfComponents=1)
template<typename ValueType>
void | writePDataArray (const std::string &name, int numberOfComponents=1)
template<typename ValueType>
void | writePPointData (const std::string &name, int numberOfComponents=1)

## Protected Member Functions
void | closePCellData ()
void | closePPointData ()
void | openPCellData ()
void | openPPointData ()
void | writeFooter ()
void | writeHeader ()

## Protected Attributes
VTK::FileFormat | format
std::stringstream | metadata
bool | pCellDataClosed = false
bool | pCellDataOpen = false
bool | pImageDataOpen = false
bool | pPointDataClosed = false
bool | pPointDataOpen = false
std::ostream | str
bool | vtkfileOpen = false

The documentation for this class was generated from the following file:

- src/TNL/Meshes/Writers/PVTIWriter.h